<!DOCTYPE html>
<html lang="en">
<head>
  <title>Drag & Drop Events</title>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="stylesheet" href="css/styles.css">
  <script src="./js/libs/jquery-1.9.0/jquery.min.js"></script>
  <script src="./js/libs/modernizr-2.6.2/modernizr.min.js"></script>
  <script type="text/javascript">
    $(document).ready(function() {
      if (!Modernizr.draganddrop) {
         alert("Your browser dosen't support Drag & Drop");
         return;
      }

      $("#img1").bind("dragstart", dragStartManagment);
      $("#dragZone").bind({"dragover": dragOverManagment, "drop": dropManagment});

      function dragStartManagment(e) {
        $("#eventsMsg").html("Start of dragging event: " + e.target.id);
      }

      function dragOverManagment(e) {
        e.stopPropagation();
        e.preventDefault();
        $("#eventsMsg").html("Dragover managment in: " + e.target.id);
      }

      function dropManagment(e) {
        e.stopPropagation();
        e.preventDefault();
        $("#eventsMsg").html("Drop managment in: " + e.target.id);
      }

    });
  </script>
</head>
<body>
  <h1>Drag & Drop Events</h1>
  <div id="eventsMsg"></div>
  <img id="img1" alt="1" draggable="true" src="resources/laptop.png" />
  <div id="dragZone">Drag the image here:</div>
</body>
</html>